Bug 19278 - REGRESSION (r31114-r31132): image float disappears on refresh
Summary: REGRESSION (r31114-r31132): image float disappears on refresh
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh PowerPC OS X 10.5
: P1 Normal
Assignee: Nobody
URL: http://adacel.levelzerocomm.com/solut...
Keywords: HasReduction, InRadar, Regression
Depends on:
Blocks:
 
Reported: 2008-05-27 15:02 PDT by Kevin M. Dean
Modified: 2008-05-30 23:29 PDT (History)
1 user (show)

See Also:


Attachments
Reduction (365 bytes, text/html)
2008-05-27 22:35 PDT, mitz
no flags Details
Patch (without change log and layout test) (2.49 KB, patch)
2008-05-28 01:13 PDT, mitz
no flags Details | Formatted Diff | Diff
Patch (32.94 KB, patch)
2008-05-28 13:10 PDT, mitz
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin M. Dean 2008-05-27 15:02:45 PDT
When viewing the link, scroll down to the Assessment & Scoring Capabilities bullets.

To the right there should be an image float. It's likely there the first time you view.

Now, refresh the page and it disappears. Selecting the address bar and pressing return brings it back. Also, clicking on a link to this page in a normal fashion draws it. It seems that the refresh process causes it not to render.

Safari works fine and Webkit r31114 works. r31132 and later exhibits the issue.
Comment 1 mitz 2008-05-27 22:35:10 PDT
Created attachment 21381 [details]
Reduction
Comment 2 mitz 2008-05-28 01:13:43 PDT
Created attachment 21383 [details]
Patch (without change log and layout test)
Comment 3 mitz 2008-05-28 11:56:46 PDT
<rdar://problem/5968621>
Comment 4 mitz 2008-05-28 13:10:43 PDT
Created attachment 21399 [details]
Patch
Comment 5 Darin Adler 2008-05-30 17:38:15 PDT
Comment on attachment 21399 [details]
Patch

I admit it: I was waiting for Hyatt to review.

We have to get rid of those crazy DeprecatedPtrList!

r=me
Comment 6 mitz 2008-05-30 23:29:40 PDT
Fixed in <http://trac.webkit.org/changeset/34277>.